XWD(1)

NAME
xwd - dump an image of an X window

SYNOPSIS
xwd [-debug] [-help] [-nobdrs] [-out file] [-xy] [-frame] [-display display]

DESCRIPTION

Xwd is an X Window System window dumping utility. Xwd allows X users to store window images in a specially formatted dump file. This file can then be read by various other X utilities for redisplay, printing, editing, formatting, archiving, image processing, etc. The target window is selected by clicking the mouse in the desired window. The keyboard bell is rung once at the beginning of the dump and twice when the dump is completed.

OPTIONS

-display display
    This argument allows you to specify the server to connect to; see X(1).

-help
    Print out the `Usage:' command syntax summary.

-nobdrs
    This argument specifies that the window dump should not include the pixels that compose the X window border. This is useful in situations where you may wish to include the window contents in a document as an illustration.

-out file
    This argument allows the user to explicitly specify the output file on the command line. The default is to output to standard out.

-xy This option applies to color displays only. It selects `XY' format dumping instead of the default `Z' format.

-add value
    This option specifies an signed value to be added to every pixel.

-frame
    This option indicates that the window manager frame should be included when manually selecting a window.

ENVIRONMENT

DISPLAY
    To get default host and display number.

FILES

XWDFile.h
    X Window Dump File format definition file.

SEE ALSO
xwud(1), xpr(1), X(1)

COPYRIGHT
Copyright 1988, Massachusetts Institute of Technology.
See X(1) for a full statement of rights and permissions.

AUTHORS
Tony Della Fera, Digital Equipment Corp., MIT Project Athena
William F. Wyatt, Smithsonian Astrophysical Observatory